Bug 1409661 - %meson: c++: error: %__global_cxxflags: No such file or directory
Summary: %meson: c++: error: %__global_cxxflags: No such file or directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: meson
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1409400
TreeView+ depends on / blocked
 
Reported: 2017-01-02 21:44 UTC by Igor Gnatenko
Modified: 2017-09-06 20:52 UTC (History)
9 users (show)

Fixed In Version: meson-0.42.0-1.fc25.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-06 20:52:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Igor Gnatenko 2017-01-02 21:44:46 UTC
Apparently %meson macro uses %__global_cxxflags and %__global_fcflags and others. I would prefer to not patch f24/f25 branches to use %optflags & %optflags -I%fmoddir..

It doesn't change any behavior, so it should be completely fine to backport.

Comment 1 Fedora End Of Life 2017-07-26 00:09:25 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-08-08 19:31:06 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 c72578 2017-09-04 10:27:50 UTC
This is still relevant for F25, reopening ..

I would really appreciate the backport of "%_global_cxxflags" to F25

It is important for meson builds under F25.
Otherwise:
c++: error: %__global_cxxflags: No such file or directory

Comment 4 Igor Gnatenko 2017-09-04 11:05:31 UTC
Seems that change was really big, so I'm workarounding it in meson.

Comment 5 Fedora Update System 2017-09-04 11:13:12 UTC
meson-0.42.0-1.fc25.1 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6004fa2d05

Comment 6 Fedora Update System 2017-09-04 22:50:02 UTC
meson-0.42.0-1.fc25.1 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6004fa2d05

Comment 7 Fedora Update System 2017-09-06 20:52:04 UTC
meson-0.42.0-1.fc25.1 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.